using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using TinyHeels.App_Code;
using Microsoft.Reporting.WinForms;


namespace TinyHeels
{
    public partial class MonthlyLedger : Form
    {
        public MonthlyLedger()
        {
            InitializeComponent();
        }

        private void pictureBox1_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void MonthlyLedger_Load(object sender, EventArgs e)
        {
            try
            {
                SelectMonth sm = new SelectMonth();
                sm.ShowDialog();
                if (Common.command == true)
                {
                    // TODO: This line of code loads data into the 'DataSet.MonthlyLedger' table. You can move, or remove it, as needed.
                    this.MonthlyLedgerTableAdapter.Fill(this.DataSet.MonthlyLedger,Common.month,Common.year.ToString());
                    reportViewer1.SetDisplayMode(DisplayMode.PrintLayout);
                    reportViewer1.ZoomMode = ZoomMode.Percent;
                    reportViewer1.ZoomPercent = 100;
                    this.reportViewer1.RefreshReport();
                }
            }
            catch (Exception    ex)
            {

            }
        }
    }
}
